## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

POST

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/customers/{id}/funding-sources

### cURL

Create Bank Funding Source

```
POST https://api-sandbox.dwolla.com/customers/AB443D36-3757-44C1-A1B4-29727FB3111C/funding-sources
Content-Type: application/vnd.dwolla.v1.hal+json
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
{
  "routingNumber": "222222226",
  "accountNumber": "123456789",
  "bankAccountType": "checking",
  "name": "Jane Doe's Checking"
}
```

### Error Responses

400

403

404

```
{
  "code": "InactiveExchange",
  "message": "The Exchange was removed or disabled."
}
```

```
{
  "code": "Forbidden",
  "message": "Not authorized to create funding source."
}
```

```
{
  "code": "NotFound",
  "message": "Customer ID not found. Check Customer ID."
}
```

#### Authorizations

**Authorization**  
`string`  
*header*  
*required*  
The access token received from the authorization server in the OAuth 2.0 flow.

#### Headers

**Accept**  
`enum<string>`  
*default: application/vnd.dwolla.v1.hal+json*  
*required*  
The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:

`application/vnd.dwolla.v1.hal+json`

#### Path Parameters

**id**  
`string`  
*required*  
Customer's unique identifier

#### Body

`application/vnd.dwolla.v1.hal+json`

Parameters for creating a funding source:

- CreateCustomerBankFundingSourceWithAccountNumbers
- CreateCustomerBankFundingSourceWithPlaid
- CreateCustomerExchangeFundingSource
- CreateCustomerVirtualAccountFundingSource
- CreateCustomerCardFundingSourceWithExchange

Schema for creating a basic bank funding source using routing and account numbers. This is the traditional method of adding a bank account.

**routingNumber**  
`string`  
*required*  
A bank routing number that identifies a bank or credit union in the U.S.

Example:

`"222222226"`

**accountNumber**  
`string`  
*required*  
The bank account number

Example:

`"123456789"`

**bankAccountType**  
`enum<string>`  
*required*  
Type of bank account

Available options:

`checking`,  
`savings`,  
`general-ledger`,  
`loan`

Example:

`"checking"`

**name**  
`string`  
*required*  
Arbitrary nickname for the funding source. Must be 50 characters or less.

Example:

`"Jane Doe's Checking"`

**verified**  
`enum<boolean>`  
Use when creating an unverified bank account.

Available options:

`false`

Example:

`false`

**channels**  
`enum<string>[]`
An array containing a list of processing channels. ACH is the default processing channel for bank transfers.

Available options:

`wire`

**_links**  
`object`  
Show child attributes
